
D4Science Infrastructure - VM Creation #9401

VRE # 9403 (Released): Create a VRE for EOSC Service Portfolio

Create a CKAN instance for EOSC VRE supporting Service Portfolio development 

Jul 25, 2017 05:01 PM - Costantino Perciante

Status: Closed Start date: Jul 25, 2017

Priority: Immediate Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Data Catalogue   

Infrastructure: Production Applications list and

version:

 

RAM: 2 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

CKAN connector

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /d4science.research-infrastructures.eu/D

4Research/EOSC_Services

  

Description

The url of the instance could be something like ckan-eosc.d4science.org or catalogue-eosc.d4science.org

History

#1 - Jul 25, 2017 06:58 PM - Leonardo Candela

- Subject changed from Create a CKAN instance for TextCrowd VRE to Create a CKAN instance for EOSC VRE supporting Service Portfolio

development 

The catalog is going to serve a VRE that is still to be deployed ... the scope is not TextCrowd

I'm going to create the VRE right now and will let you know as soon as the VRE is there.       

#2 - Jul 25, 2017 07:02 PM - Andrea Dell'Amico

I guess that also the styles and plugins customizations are also missing?

#3 - Jul 26, 2017 09:47 AM - Costantino Perciante

- Smartgears scopes updated

Andrea Dell'Amico wrote:

I guess that also the styles and plugins customizations are also missing?

 I guess so. I think the ones available in the other instances would be fine, wouldn't they?

@leonardo.candela@isti.cnr.it please update this ticket as soon as the real context is available

#4 - Jul 26, 2017 09:59 AM - Leonardo Candela

- Parent task set to #9403

Re plugins it is not planned that this instance of the catalogue harvest content from others (eg GN) or publishes its content (eg OAI-PMH). Is it
possible to have a list of plug-ins we can configure per instance? 

Re styles dunno what they are and what are the possible customizations. I would suggest going for an existing one (e.g. that of D4Science). 

This catalogue will be used for data entry, we are going to define a specific resource typology. 

#5 - Jul 26, 2017 03:08 PM - Leonardo Candela

- Smartgears scopes updated

#6 - Jul 28, 2017 03:47 PM - Leonardo Candela

- Priority changed from Urgent to Immediate

We urgently need this machine, is there any planned date?

#7 - Jul 28, 2017 08:27 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 80

The ckan-eosc.d4science.org is close to be ready.

The Database al Solr pieces are already there.

There is a template needed by the playbook to complete:

http://svn.research-infrastructures.eu/public/d4science/gcube/branches/data-catalogue/ckan-d4science-extension/2.6/promoted/ckan-eosc.d4science.

org-promoted.html

Could you prepare it, load on public svn and run the ansible playbook again?

#8 - Jul 31, 2017 02:42 PM - Francesco Mangiacrapa

- % Done changed from 80 to 100

There was problems during playbook exectuions, in particular the TASK [../../library/roles/ckan/ckan : Initialize the CKAN databases] has failed

several times:

1. the table 'user' did not exist.. so I performed db init manually:

'SELECT \"user\".password AS user_password, \"user\".id AS user_id, \"user\".name AS user_name, \"user\".openi

d AS user_openid, \"user\".fullname AS user_fullname, \"user\".email AS user_email, \"user\".apikey AS user_ap

ikey, \"user\".created AS user_created, \"user\".reset_key AS user_reset_key, \"user\".about AS user_about, \"

user\".activity_streams_email_notifications AS user_activity_streams_email_notifications, \"user\".sysadmin AS

 user_sysadmin, \"user\".state AS user_state \\nFROM \"user\" \\nWHERE \"user\".name = %(name_1)s ORDER BY \"u

ser\".name \\n LIMIT %(param_1)s' {'name_1': u'ckan_connector', 'param_1': 1}", "psql:/tmp/QknYwn.sql:1: ERROR

:  relation \"user\" does not exist", "LINE 1: update \"user\" set state = 'active' where name = 'ckan_connec.

..", "               ^", "psql:/tmp/QknYwn.sql:2: ERROR:  relation \"user\" does not exist", "LINE 1: select a

pikey from \"user\" where name = 'ckan_connector' and ...", "                           ^"], "stdout": "", "st

dout_lines": []}

1. the user 'ckan_connector' did not exist.. so I created it manually:

"stdout": "User \"ckan_connector\" not found\nCreate new user: ckan_connector? [y/n]Exiting ...", "stdout_line

s": ["User \"ckan_connector\" not found", "Create new user: ckan_connector? [y/n]Exiting ..."]}

 After fixes, now the playbook RECAP is ok:

PLAY RECAP

**************************************************************************************************************************************************************************

*****************************

ckan-eosc.d4science.org    : ok=227  changed=28   unreachable=0    failed=0   

The Ckan Eosc is available at: https://ckan-eosc.d4science.org/ (now I'm going to update configurations for ckan template)

@costantino.perciante@isti.cnr.it, please, add the configurations (GR/RR) needed to run the catalogue in the VRE 

https://services.d4science.org/group/eosc_services asap, thanks.

#9 - Jul 31, 2017 02:47 PM - Francesco Mangiacrapa

Ckan Template configurations have been updated and they are up at: https://ckan-eosc.d4science.org/
#10 - Jul 31, 2017 03:42 PM - Costantino Perciante

Francesco Mangiacrapa wrote:

costantino.perciante@isti.cnr.it, please, add the configurations (GR/RR) needed to run the catalogue in the VRE 

https://services.d4science.org/group/eosc_services asap, thanks.

 Done

#11 - Aug 03, 2017 09:04 AM - Leonardo Candela

- Status changed from In Progress to Closed
